2018-05-27 12:49 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002074FSSCPlauncherpublic2010-03-10 06:56
ReporterFury 
Assigned Totaylor 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.12 RC2 
Summary0002074: Launcher Easy setup needs revising
DescriptionIf you first select "All features on" and then "High memory usage features off", following high-performance flags are still enabled:
- Enable specular
- Apply lighting to missiles
- Enable 3D shockwaves
- Enable post processing

If you first select "Default FS2" and then "High memory usage features off", nothing is enabled.

If you first select "Default FS2" and then "High memory usage features on", following flags are not enabled:
- Enable specular
- Enable 3D shockwaves

And Enable mipmapping is checked when they never should be by easy setup.

Why mipmapping should never be enable by easy setup? Because mediavps and all mods should have their textures mipmapped. In addition, with this flag EVERYTHING is mipmapped, including weapon effects, which is counter-productive and unnecessary.

The bottom line is that Easy Setup is not easy at all as it doesn't work as advertised. It needs to be idiot-proof.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0011461

Fury (reporter)

Last edited: 2009-12-23 02:41

Forgot to say that there's several flags that all but default FS2 should enable:
Use models for ship selection, Use models for weapon selection, Preload mission sounds.

Enable 3D warp and Enable flash upon warp probably should be enabled if High memory usage features on is selected.

~0011723

taylor (administrator)

Took care of most of this.

Missing lighting is not a memory related option so it is still enabled with "High memory usage features off".

Pre-loading of sounds is a high memory option and is therefore linked to that flag.

Using models for ship/weapon selection is a high memory option, but is still not linked to easy setup because it really don't belong there.

Also, although I disabled -mipmap from the easy setup stuff, it doesn't do anything unless -img2dds is also used.

~0011764

taylor (administrator)

Don't think I'm going to make any additional changes here at this time. I think that 3D warp and warp flash are more in the models for ship/weapon selection category, ie. content related and therefore should be included in easy flags.

Reopen if anything else was missed, otherwise I'm considering this fixed.

~0011765

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2009-12-21 06:16 Fury New Issue
2009-12-23 02:41 Fury Note Added: 0011461
2009-12-23 02:41 Fury Note Edited: 0011461
2010-02-28 18:49 taylor Note Added: 0011723
2010-03-10 06:55 taylor Note Added: 0011764
2010-03-10 06:56 taylor Note Added: 0011765
2010-03-10 06:56 taylor Status new => resolved
2010-03-10 06:56 taylor Fixed in Version => 3.6.12 RC2
2010-03-10 06:56 taylor Resolution open => fixed
2010-03-10 06:56 taylor Assigned To => taylor
+Issue History